# Oracles

Each `Oracle` class implements a particular hyperparameter tuning algorithm. An `Oracle` is passed as an argument to a `Tuner`. The `Oracle` tells the `Tuner` which hyperparameters should be tried next. 

Most `Oracle` classes can be combined with any user-defined `Tuner` subclass. `Hyperband` requires the `Tuner` class to implement additional `Oracle`-specific functionality (see `Hyperband` documentation). If you do not need to subclass `Tuner` (the most common case), we also provide a number of convenience classes that package a `Tuner` and an `Oracle` together (e.g `kerastuner.RandomSearch`, `kerastuner.BayesianOptimization`, and `kerastuner.Hyperband`).


{{autogenerated}}
